
cls
@ECHO OFF
COLOR E0
ECHO ---------------------------
ECHO ---- KTA-324 BOOTLOADER ---
ECHO ---------------------------
ECHO Press the RESET button (down near the power terminals)
ECHO You should see relays 2 and 3 come on
ECHO Connect a USB cable from your PC to the USB port of the KTA-324
ECHO Enter the number of the COM port below and press enter
ECHO A new window will launch and load the code into the KTA-324,
ECHO give it administrator privileges if it asks
ECHO ---------------------------

:MENU
set /p userinp=Enter COM number or Q=Quit ENTER=Repeat: 
set userinp1=%userinp:~0,2%


if "%userinp1%"=="q" goto END
if "%userinp1%"=="Q" goto END
goto PROGRAM1

echo point 3

:PROGRAM1
COLOR 07
"update.exe" KTA-324.enc -COM%userinp1% -38400		
REM Baud of 38400 is double 19200; bootloader was originally written for 8MHz AVR's, this one is at 16MHz
IF ERRORLEVEL 1 GOTO ERROR
IF ERRORLEVEL 0 GOTO SUCCESS

:ERROR
COLOR 4F
ECHO ---------------------------
ECHO -----ERROR PROGRAMMING-----
ECHO ---------------------------
ECHO .
GOTO MENU

:SUCCESS
COLOR 2F
ECHO ---------------------------
ECHO ---------PROGRAM OK--------
ECHO ---------------------------
ECHO . 
GOTO MENU

:END
:pause
